
// useActiveState.js
import { ref } from 'vue';

// Define the shared activeComponent ref globally
const activeComponent = ref('status'); // Track which component is active

// Function to set the active component
function setActive(componentName) {
    activeComponent.value = componentName;
}

export function useActiveState() {
    return { activeComponent, setActive };
}
